[Rainmeter]
Simplesentence created by WhiteBaron
Update=500

;If you play a song with no artwork, the artwork from the previous song will remain. There is no way to fix this other than having artwork for each song.

;Metadata added by RainBrowser
;http://rainmeter.net/RainCMS/?q=Rainmeter101_AnatomyOfASkin

[Metadata]
Name=
Config=
Description=
Instructions=
Version=
Tags=
License=
Variant=
Preview=

;End of added Metadata

[Variables]
Font=Light From Behind
Colour=255, 255, 255

;----------MEASURES----------

[MeasureTrack]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackName

[MeasureArtist]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackArtist

[MeasurePrev]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=PreviousTrack

[MeasurePlay]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=PlayPause

[MeasureNext]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=NextTrack

[MeasureTime]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetPlayerPosition

[MeasureMinute]
Measure=Calc
Formula=(MeasureTime - (MeasureTime % 60)) /60

[MeasureTens]
Measure=Calc
Formula=(MeasureTime % 60) < 10 ? 0 : 1
Substitute="1":""

[MeasureSecond]
Measure=Calc
Formula=MeasureTime % 60

[MeasureArt]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackArtwork

[MeasureRoundlineBack]
Measure=Calc
Formula=1

[MeasureRoundline]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetPlayerPositionPercent
MaxValue=100
InvertMeasure=1

;----------METERS------------

[MeterTrack]
Meter=String
MeasureName=MeasureTrack
Prefix="You are now listening to "
W=500
H=20
FontColor=#Colour#, 255
FontSize=15
FontFace=#Font#
StringAlign=Left
AntiAlias=1

[MeterArtist]
Meter=String
MeasureName=MeasureArtist
Prefix="as performed by "
X=80
Y=15
FontColor=#Colour#, 230
FontSize=15
FontFace=#Font#
StringAlign=Left
AntiAlias=1

[MeterLabel]
Meter=String
Text="I hope you are enjoying it"
X=82
Y=30
FontColor=#Colour#, 200
FontSize=11
FontFace=#Font#
StringAlign=Left
AntiAlias=1

[MeterPrev]
Meter=Image
ImageName=Prev.png
X=83
Y=91
W=7
H=7
LeftMouseDownAction=!Execute [!RainmeterPluginBang "MeasurePrev"]

[MeterPlay]
Meter=Image
ImageName=Play.png
X=93
Y=90
W=18
H=9
LeftMouseDownAction=!Execute [!RainmeterPluginBang "MeasurePlay"]

[MeterNext]
Meter=Image
ImageName=Next.png
X=117
Y=91
W=7
H=7
LeftMouseDownAction=!Execute [!RainmeterPluginBang "MeasureNext"]

[MeterTime]
Meter=String
MeasureName=MeasureMinute
MeasureName2=MeasureTens
MeasureName3=MeasureSecond
Text="%1:%2%3"
X=104
Y=88
FontColor=#Colour#, 255
FontSize=8
FontFace=Trebuchet MS
StringAlign=Center
AntiAlias=1

[MeterArtBack]
Meter=Image
Y=20
W=80
H=80
SolidColor=#Colour#, 150

[MeterArt]
Meter=Image
MeasureName=MeasureArt
X=1
Y=21
H=78
W=78

[MeterRoundlineBack]
Meter=Roundline
MeasureName=MeasureRoundlineBack
X=35
Y=-142
W=200
H=250
StartAngle=0.5
RotationAngle=1.15
LineLength=110
LineStart=113
LineColor=#Colour#, 230
Solid=1
AntiAlias=1

[MeterRoundline]
Meter=Roundline
MeasureName=MeasureRoundline
X=35
Y=-142
W=200
H=250
StartAngle=0.5
RotationAngle=1.15
LineLength=109
LineStart=114
LineColor=50, 50, 50, 255
Solid=1
AntiAlias=1
